# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _client

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


import delta

svn_client_get_simple_prompt_provider = _client.svn_client_get_simple_prompt_provider

svn_client_get_username_prompt_provider = _client.svn_client_get_username_prompt_provider

svn_client_get_simple_provider = _client.svn_client_get_simple_provider

svn_client_get_username_provider = _client.svn_client_get_username_provider

svn_client_get_ssl_server_trust_file_provider = _client.svn_client_get_ssl_server_trust_file_provider

svn_client_get_ssl_client_cert_file_provider = _client.svn_client_get_ssl_client_cert_file_provider

svn_client_get_ssl_client_cert_pw_file_provider = _client.svn_client_get_ssl_client_cert_pw_file_provider

svn_client_get_ssl_server_trust_prompt_provider = _client.svn_client_get_ssl_server_trust_prompt_provider

svn_client_get_ssl_client_cert_prompt_provider = _client.svn_client_get_ssl_client_cert_prompt_provider

svn_client_get_ssl_client_cert_pw_prompt_provider = _client.svn_client_get_ssl_client_cert_pw_prompt_provider
class svn_client_commit_info_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_client_commit_info_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_client_commit_info_t, name)
    def __repr__(self):
        return "<C svn_client_commit_info_t instance at %s>" % (self.this,)
    __swig_setmethods__["revision"] = _client.svn_client_commit_info_t_revision_set
    __swig_getmethods__["revision"] = _client.svn_client_commit_info_t_revision_get
    if _newclass:revision = property(_client.svn_client_commit_info_t_revision_get, _client.svn_client_commit_info_t_revision_set)
    __swig_setmethods__["date"] = _client.svn_client_commit_info_t_date_set
    __swig_getmethods__["date"] = _client.svn_client_commit_info_t_date_get
    if _newclass:date = property(_client.svn_client_commit_info_t_date_get, _client.svn_client_commit_info_t_date_set)
    __swig_setmethods__["author"] = _client.svn_client_commit_info_t_author_set
    __swig_getmethods__["author"] = _client.svn_client_commit_info_t_author_get
    if _newclass:author = property(_client.svn_client_commit_info_t_author_get, _client.svn_client_commit_info_t_author_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_client_commit_info_t, 'this', _client.new_svn_client_commit_info_t(*args))
        _swig_setattr(self, svn_client_commit_info_t, 'thisown', 1)
    def __del__(self, destroy=_client.delete_svn_client_commit_info_t):
        try:
            if self.thisown: destroy(self)
        except: pass

class svn_client_commit_info_tPtr(svn_client_commit_info_t):
    def __init__(self, this):
        _swig_setattr(self, svn_client_commit_info_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_client_commit_info_t, 'thisown', 0)
        _swig_setattr(self, svn_client_commit_info_t,self.__class__,svn_client_commit_info_t)
_client.svn_client_commit_info_t_swigregister(svn_client_commit_info_tPtr)

SVN_CLIENT_COMMIT_ITEM_ADD = _client.SVN_CLIENT_COMMIT_ITEM_ADD
SVN_CLIENT_COMMIT_ITEM_DELETE = _client.SVN_CLIENT_COMMIT_ITEM_DELETE
SVN_CLIENT_COMMIT_ITEM_TEXT_MODS = _client.SVN_CLIENT_COMMIT_ITEM_TEXT_MODS
SVN_CLIENT_COMMIT_ITEM_PROP_MODS = _client.SVN_CLIENT_COMMIT_ITEM_PROP_MODS
SVN_CLIENT_COMMIT_ITEM_IS_COPY = _client.SVN_CLIENT_COMMIT_ITEM_IS_COPY
class svn_client_commit_item_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_client_commit_item_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_client_commit_item_t, name)
    def __repr__(self):
        return "<C svn_client_commit_item_t instance at %s>" % (self.this,)
    __swig_setmethods__["path"] = _client.svn_client_commit_item_t_path_set
    __swig_getmethods__["path"] = _client.svn_client_commit_item_t_path_get
    if _newclass:path = property(_client.svn_client_commit_item_t_path_get, _client.svn_client_commit_item_t_path_set)
    __swig_setmethods__["kind"] = _client.svn_client_commit_item_t_kind_set
    __swig_getmethods__["kind"] = _client.svn_client_commit_item_t_kind_get
    if _newclass:kind = property(_client.svn_client_commit_item_t_kind_get, _client.svn_client_commit_item_t_kind_set)
    __swig_setmethods__["url"] = _client.svn_client_commit_item_t_url_set
    __swig_getmethods__["url"] = _client.svn_client_commit_item_t_url_get
    if _newclass:url = property(_client.svn_client_commit_item_t_url_get, _client.svn_client_commit_item_t_url_set)
    __swig_setmethods__["revision"] = _client.svn_client_commit_item_t_revision_set
    __swig_getmethods__["revision"] = _client.svn_client_commit_item_t_revision_get
    if _newclass:revision = property(_client.svn_client_commit_item_t_revision_get, _client.svn_client_commit_item_t_revision_set)
    __swig_setmethods__["copyfrom_url"] = _client.svn_client_commit_item_t_copyfrom_url_set
    __swig_getmethods__["copyfrom_url"] = _client.svn_client_commit_item_t_copyfrom_url_get
    if _newclass:copyfrom_url = property(_client.svn_client_commit_item_t_copyfrom_url_get, _client.svn_client_commit_item_t_copyfrom_url_set)
    __swig_setmethods__["state_flags"] = _client.svn_client_commit_item_t_state_flags_set
    __swig_getmethods__["state_flags"] = _client.svn_client_commit_item_t_state_flags_get
    if _newclass:state_flags = property(_client.svn_client_commit_item_t_state_flags_get, _client.svn_client_commit_item_t_state_flags_set)
    __swig_setmethods__["wcprop_changes"] = _client.svn_client_commit_item_t_wcprop_changes_set
    __swig_getmethods__["wcprop_changes"] = _client.svn_client_commit_item_t_wcprop_changes_get
    if _newclass:wcprop_changes = property(_client.svn_client_commit_item_t_wcprop_changes_get, _client.svn_client_commit_item_t_wcprop_changes_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_client_commit_item_t, 'this', _client.new_svn_client_commit_item_t(*args))
        _swig_setattr(self, svn_client_commit_item_t, 'thisown', 1)
    def __del__(self, destroy=_client.delete_svn_client_commit_item_t):
        try:
            if self.thisown: destroy(self)
        except: pass

class svn_client_commit_item_tPtr(svn_client_commit_item_t):
    def __init__(self, this):
        _swig_setattr(self, svn_client_commit_item_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_client_commit_item_t, 'thisown', 0)
        _swig_setattr(self, svn_client_commit_item_t,self.__class__,svn_client_commit_item_t)
_client.svn_client_commit_item_t_swigregister(svn_client_commit_item_tPtr)

class svn_client_ctx_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_client_ctx_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_client_ctx_t, name)
    def __repr__(self):
        return "<C svn_client_ctx_t instance at %s>" % (self.this,)
    __swig_setmethods__["auth_baton"] = _client.svn_client_ctx_t_auth_baton_set
    __swig_getmethods__["auth_baton"] = _client.svn_client_ctx_t_auth_baton_get
    if _newclass:auth_baton = property(_client.svn_client_ctx_t_auth_baton_get, _client.svn_client_ctx_t_auth_baton_set)
    __swig_setmethods__["notify_func"] = _client.svn_client_ctx_t_notify_func_set
    __swig_getmethods__["notify_func"] = _client.svn_client_ctx_t_notify_func_get
    if _newclass:notify_func = property(_client.svn_client_ctx_t_notify_func_get, _client.svn_client_ctx_t_notify_func_set)
    __swig_setmethods__["notify_baton"] = _client.svn_client_ctx_t_notify_baton_set
    __swig_getmethods__["notify_baton"] = _client.svn_client_ctx_t_notify_baton_get
    if _newclass:notify_baton = property(_client.svn_client_ctx_t_notify_baton_get, _client.svn_client_ctx_t_notify_baton_set)
    __swig_setmethods__["log_msg_func"] = _client.svn_client_ctx_t_log_msg_func_set
    __swig_getmethods__["log_msg_func"] = _client.svn_client_ctx_t_log_msg_func_get
    if _newclass:log_msg_func = property(_client.svn_client_ctx_t_log_msg_func_get, _client.svn_client_ctx_t_log_msg_func_set)
    __swig_setmethods__["log_msg_baton"] = _client.svn_client_ctx_t_log_msg_baton_set
    __swig_getmethods__["log_msg_baton"] = _client.svn_client_ctx_t_log_msg_baton_get
    if _newclass:log_msg_baton = property(_client.svn_client_ctx_t_log_msg_baton_get, _client.svn_client_ctx_t_log_msg_baton_set)
    __swig_setmethods__["config"] = _client.svn_client_ctx_t_config_set
    __swig_getmethods__["config"] = _client.svn_client_ctx_t_config_get
    if _newclass:config = property(_client.svn_client_ctx_t_config_get, _client.svn_client_ctx_t_config_set)
    __swig_setmethods__["cancel_func"] = _client.svn_client_ctx_t_cancel_func_set
    __swig_getmethods__["cancel_func"] = _client.svn_client_ctx_t_cancel_func_get
    if _newclass:cancel_func = property(_client.svn_client_ctx_t_cancel_func_get, _client.svn_client_ctx_t_cancel_func_set)
    __swig_setmethods__["cancel_baton"] = _client.svn_client_ctx_t_cancel_baton_set
    __swig_getmethods__["cancel_baton"] = _client.svn_client_ctx_t_cancel_baton_get
    if _newclass:cancel_baton = property(_client.svn_client_ctx_t_cancel_baton_get, _client.svn_client_ctx_t_cancel_baton_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_client_ctx_t, 'this', _client.new_svn_client_ctx_t(*args))
        _swig_setattr(self, svn_client_ctx_t, 'thisown', 1)
    def __del__(self, destroy=_client.delete_svn_client_ctx_t):
        try:
            if self.thisown: destroy(self)
        except: pass

class svn_client_ctx_tPtr(svn_client_ctx_t):
    def __init__(self, this):
        _swig_setattr(self, svn_client_ctx_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_client_ctx_t, 'thisown', 0)
        _swig_setattr(self, svn_client_ctx_t,self.__class__,svn_client_ctx_t)
_client.svn_client_ctx_t_swigregister(svn_client_ctx_tPtr)

SVN_CLIENT_AUTH_USERNAME = _client.SVN_CLIENT_AUTH_USERNAME
SVN_CLIENT_AUTH_PASSWORD = _client.SVN_CLIENT_AUTH_PASSWORD

svn_client_create_context = _client.svn_client_create_context

svn_client_checkout = _client.svn_client_checkout

svn_client_update = _client.svn_client_update

svn_client_switch = _client.svn_client_switch

svn_client_add = _client.svn_client_add

svn_client_mkdir = _client.svn_client_mkdir

svn_client_delete = _client.svn_client_delete

svn_client_import = _client.svn_client_import

svn_client_commit = _client.svn_client_commit

svn_client_status = _client.svn_client_status

svn_client_log = _client.svn_client_log

svn_client_blame = _client.svn_client_blame

svn_client_diff = _client.svn_client_diff

svn_client_merge = _client.svn_client_merge

svn_client_cleanup = _client.svn_client_cleanup

svn_client_relocate = _client.svn_client_relocate

svn_client_revert = _client.svn_client_revert

svn_client_resolved = _client.svn_client_resolved

svn_client_copy = _client.svn_client_copy

svn_client_move = _client.svn_client_move

svn_client_propset = _client.svn_client_propset

svn_client_revprop_set = _client.svn_client_revprop_set

svn_client_propget = _client.svn_client_propget

svn_client_revprop_get = _client.svn_client_revprop_get

svn_client_proplist = _client.svn_client_proplist

svn_client_revprop_list = _client.svn_client_revprop_list

svn_client_export = _client.svn_client_export

svn_client_ls = _client.svn_client_ls

svn_client_cat = _client.svn_client_cat

svn_client_url_from_path = _client.svn_client_url_from_path

svn_client_uuid_from_url = _client.svn_client_uuid_from_url

svn_client_uuid_from_path = _client.svn_client_uuid_from_path

